<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

require_once XOOPS_ROOT_PATH . "/class/XCube_PageNavigator.class.php";

class Legacy_PageNavigator extends XCube_PageNavigator
{
	function getRenderSortUrl()
	{
		return parent::renderSortUrl('sort');
	}

	function renderHidden($sort = null)
	{
		if ($mask == null) {
			$mask = array();
		}
		elseif (!is_array($mask)) {
			$mask = array($mask);
		}
	
		$ret = null;
	
		foreach ($this->mExtra as $key => $value) {
			if (!isset($mask[$key])) {
				$value = htmlspecialchars($value, ENT_QUOTES);
				$ret .= "<input type=\"hidden\" name=\"${key}\" value=\"${value}\" />";
			}
		}
	
	
		return $ret;
	}
}

?>
